## org.apache.catalina.deploy
Class ContextEjb

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextEjb

All Implemented Interfaces:
  java.io.Serializable

public class ContextEjb
extends ResourceBase
implements java.io.Serializable

Representation of an EJB resource reference for a web application, as represented in a `<ejb-ref>` element in the deployment descriptor.

Version:
  $Id: ContextEjb.java 939527 2010-04-30 00:43:48Z kkolinko $
Author:
  Craig R. McClanahan, Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextEjb()`

Method Summary
`java.lang.String` `getHome()`
`java.lang.String` `getLink()`
`java.lang.String` `getRemote()`
`void` `setHome(java.lang.String home)`
`void` `setLink(java.lang.String link)`
`void` `setRemote(java.lang.String remote)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`getDescription, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextEjb

    public ContextEjb()

Method Detail

### getHome

    public java.lang.String getHome()

### setHome

    public void setHome(java.lang.String home)

### getLink

    public java.lang.String getLink()

### setLink

    public void setLink(java.lang.String link)

### getRemote

    public java.lang.String getRemote()

### setRemote

    public void setRemote(java.lang.String remote)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.